> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List linked external integrations

> Authenticated browser-session endpoint returning active external integration links for the signed-in user.



## OpenAPI

````yaml /openapi/control-plane-public.json get /api/v1/auth/external-integrations/links
openapi: 3.1.0
info:
  title: AcornOps Control Plane API
  version: 0.0.1-experimental.1
  description: >-
    Control plane API for workspaces, targets, Kubernetes clusters, virtual
    machines, sessions, runs, auth, and internal execution wiring.
servers:
  - url: https://api.acornops.dev
security: []
tags:
  - name: health
    description: Health and readiness endpoints.
  - name: auth
    description: >-
      OIDC, password, browser session, and external integration account link
      endpoints.
  - name: workspaces
    description: Workspace, target, Kubernetes cluster, and VM management endpoints.
  - name: webhooks
    description: Best-effort webhook subscription and delivery history endpoints.
  - name: sessions
    description: Session and message endpoints.
  - name: runs
    description: Run query, cancel, and stream endpoints.
  - name: workflows
    description: >-
      Workspace workflow definitions, schedules, sessions, and approval inbox
      endpoints.
  - name: agents
    description: >-
      Workspace-scoped custom agent definitions, triggers, versions, tests, and
      activity.
  - name: admin
    description: Operator-only admin API protected exclusively by admin bearer tokens.
  - name: internal
    description: Internal execution endpoints for execution-engine.
paths:
  /api/v1/auth/external-integrations/links:
    get:
      tags:
        - auth
      summary: List linked external integrations
      description: >-
        Authenticated browser-session endpoint returning active external
        integration links for the signed-in user.
      responses:
        '200':
          description: Active external integration links.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalIntegrationLinkList'
        '400':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: User session required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionCookie: []
components:
  schemas:
    ExternalIntegrationLinkList:
      type: object
      required:
        - links
      properties:
        links:
          type: array
          items:
            $ref: '#/components/schemas/ExternalIntegrationLinkSummary'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
              description: Optional structured error details.
    ExternalIntegrationLinkSummary:
      type: object
      required:
        - id
        - integrationClientId
        - provider
        - clientDisplayName
        - externalUserId
        - linkedAt
        - lastAuthenticatedAt
        - expiresAt
      properties:
        id:
          type: string
        integrationClientId:
          type: string
        provider:
          type: string
        clientDisplayName:
          type: string
        externalUserId:
          type: string
        externalDisplayName:
          type: string
        linkedAt:
          type: string
          format: date-time
        lastAuthenticatedAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time

````